Bug 1905676 (CVE-2020-29571)

Summary: CVE-2020-29571 xen: FIFO event channels control structure ordering
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jforbes, m.a.young, robinlee.sysu, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-15 22:20:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1908089    
Bug Blocks: 1903644    

Description Guilherme de Almeida Suckevicz 2020-12-08 19:44:55 UTC
A bounds check common to most operation time functions specific to FIFO
event channels depends on the CPU observing consistent state.  While the
producer side uses appropriately ordered writes, the consumer side isn't
protected against re-ordered reads, and may hence end up de-referencing
a NULL pointer.

Comment 1 Guilherme de Almeida Suckevicz 2020-12-15 20:02:09 UTC
External References:

https://www.openwall.com/lists/oss-security/2020/12/15/16

Comment 2 Guilherme de Almeida Suckevicz 2020-12-15 20:02:22 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1908089]

Comment 3 Product Security DevOps Team 2020-12-15 22:20:15 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.